Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 are not available through the deprecated `MBeanHome` interface.)

## weblogic.security.providers.authentication
Interface LDAPX509IdentityAsserterMBean

All Superinterfaces:
  AuthenticationProviderMBean, weblogic.descriptor.DescriptorBean, IdentityAsserterMBean, LDAPServerMBean, ProviderMBean, weblogic.descriptor.SettableBean, weblogic.management.commo.StandardInterface

public interface LDAPX509IdentityAsserterMBean
extends weblogic.management.commo.StandardInterface, weblogic.descriptor.DescriptorBean, IdentityAsserterMBean, LDAPServerMBean

The MBean that represents configuration atrributes for the WebLogic LDAP X509 Identity Assertion provider. The WebLogic LDAP X509 Identity Assertion provider supports certificate authentication.Deprecation of MBeanHome and Type-Safe InterfacesThis is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through weblogic.management.MBeanHome. As of 9.0, the MBeanHome interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the javax.management.MBeanServerConnection interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`String[]` | `getActiveTypes()` The token types that are currently active.
`String` | `getCertificateAttribute()` The name of the LDAP attribute representing the user's identity.
`String` | `getCertificateMapping()` Mapping of certificate attributes to directory attributes.
`String` | `getCredential()` The credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`byte[]` | `getCredentialEncrypted()` Returns the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`String` | `getDescription()` A short description of the WebLogic LDAP X509 Identity Assertion provider.
`String` | `getName()` The name of this configuration.
`String` | `getProviderClassName()` The name of the Java class used to load the WebLogic LDAP X509 Identity Assertion provider.
`String[]` | `getSupportedTypes()` The token types supported by the WebLogic LDAP X509 Identity Assertion provider.
`String[]` | `getUserFilterAttributes()` The name of the certificate attribute from the subject DN used to find the user in the directory.
`String` | `getUsernameAttribute()` The name of the LDAP attribute used to assert the user's identity.
`String` | `getVersion()` The version number of the WebLogic LDAP X509 Identity Assertion provider.
`void` | `setActiveTypes(String[] newValue)` The token types that are currently active.
`void` | `setCertificateAttribute(String newValue)` The name of the LDAP attribute representing the user's identity.
`void` | `setCertificateMapping(String newValue)` Mapping of certificate attributes to directory attributes.
`void` | `setCredential(String newValue)` The credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`void` | `setCredentialEncrypted(byte[] _bytes)` Sets the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.
`void` | `setUserFilterAttributes(String[] newValue)` The name of the certificate attribute from the subject DN used to find the user in the directory.
`void` | `setUsernameAttribute(String newValue)` The name of the LDAP attribute used to assert the user's identity.

Methods inherited from interface weblogic.management.commo.StandardInterface
`setName, wls_getDisplayName, wls_getInterfaceClassName, wls_getObjectName`

Methods inherited from interface weblogic.descriptor.DescriptorBean
`addBeanUpdateListener, addPropertyChangeListener, createChildCopy, createChildCopyIncludingObsolete, getDescriptor, getParentBean, isEditable, removeBeanUpdateListener, removePropertyChangeListener`

Methods inherited from interface weblogic.descriptor.SettableBean
`isSet, unSet`

Methods inherited from interface weblogic.management.security.authentication.IdentityAsserterMBean
`getBase64DecodingRequired, setBase64DecodingRequired`

Methods inherited from interface weblogic.management.security.ProviderMBean
`getRealm`

Methods inherited from interface weblogic.management.utils.LDAPServerMBean
`getCacheSize, getCacheTTL, getConnectionRetryLimit, getConnectTimeout, getHost, getParallelConnectDelay, getPort, getPrincipal, getResultsTimeLimit, isBindAnonymouslyOnReferrals, isCacheEnabled, isFollowReferrals, isSSLEnabled, setBindAnonymouslyOnReferrals, setCacheEnabled, setCacheSize, setCacheTTL, setConnectionRetryLimit, setConnectTimeout, setFollowReferrals, setHost, setParallelConnectDelay, setPort, setPrincipal, setResultsTimeLimit, setSSLEnabled`

Method Detail

### getActiveTypes

    public String[] getActiveTypes()

  The token types that are currently active.

  Specified by:
    `getActiveTypes` in interface `IdentityAsserterMBean`
  Default value:
    weblogic.security.spi.IdentityAsserter.X509_TYPE
  A dynamic MBean attribute.
    false

### getCertificateAttribute

    public String getCertificateAttribute()

  The name of the LDAP attribute representing the user's identity.

  Default value:
    "userCertificate;binary"
  A dynamic MBean attribute.
    false

### getCertificateMapping

    public String getCertificateMapping()

  Mapping of certificate attributes to directory attributes.

  Default value:
    "ou=people,ou=$subj.ou,o=$subj.o,c=$subj.c"
  A dynamic MBean attribute.
    false

### getCredential

    public String getCredential()

  The credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  Specified by:
    `getCredential` in interface `LDAPServerMBean`
  See Also:
    `LDAPServerMBean.getCredentialEncrypted()`
  A dynamic MBean attribute.
    true

### getCredentialEncrypted

    public byte[] getCredentialEncrypted()

  Description copied from interface: `LDAPServerMBean`
  Returns the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  Specified by:
    `getCredentialEncrypted` in interface `LDAPServerMBean`
  Returns:
    The credential value as an encrypted byte array.
  See Also:
    weblogic.management.EncryptionHelper
  A dynamic MBean attribute.
    true

### getDescription

    public String getDescription()

  A short description of the WebLogic LDAP X509 Identity Assertion provider.

  Specified by:
    `getDescription` in interface `ProviderMBean`
  Default value:
    "Provider that performs identity assertion for X.509 certificates"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getName

    public String getName()

  Description copied from interface: `ProviderMBean`
  The name of this configuration. WebLogic Server uses an MBean to implement and persist the configuration.

  Specified by:
    `getName` in interface `weblogic.management.commo.StandardInterface`
  Default value:
    "LDAPX509IdentityAsserter"
  A dynamic MBean attribute.
    false

### getProviderClassName

    public String getProviderClassName()

  The name of the Java class used to load the WebLogic LDAP X509 Identity Assertion provider.

  Specified by:
    `getProviderClassName` in interface `ProviderMBean`
  Default value:
    "weblogic.security.providers.authentication.LDAPX509IdentityAsserterProviderImpl"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.
  Excluded: Should not appear in public javadocs
  Internal: Should not appear in public javadocs

### getSupportedTypes

    public String[] getSupportedTypes()

  The token types supported by the WebLogic LDAP X509 Identity Assertion provider.

  Specified by:
    `getSupportedTypes` in interface `IdentityAsserterMBean`
  Default value:
    weblogic.security.spi.IdentityAsserter.X509_TYPE
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### getUserFilterAttributes

    public String[] getUserFilterAttributes()

  The name of the certificate attribute from the subject DN used to find the user in the directory.

  Default value:
    "cn=$subj.cn"
  A dynamic MBean attribute.
    false

### getUsernameAttribute

    public String getUsernameAttribute()

  The name of the LDAP attribute used to assert the user's identity.

  Default value:
    "cn"
  A dynamic MBean attribute.
    false

### getVersion

    public String getVersion()

  The version number of the WebLogic LDAP X509 Identity Assertion provider.

  Specified by:
    `getVersion` in interface `ProviderMBean`
  Default value:
    "1.0"
  A dynamic MBean attribute.
    false
  A non-configurable MBean attribute.

### setActiveTypes

    public void setActiveTypes(String[] newValue)
                        throws InvalidAttributeValueException

  The token types that are currently active.

  Specified by:
    `setActiveTypes` in interface `IdentityAsserterMBean`
  Parameters:
    `newValue` - - new value for attribute ActiveTypes
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `IdentityAsserterMBean.getActiveTypes()`
  Default value:
    weblogic.security.spi.IdentityAsserter.X509_TYPE
  A dynamic MBean attribute.
    false

### setCertificateAttribute

    public void setCertificateAttribute(String newValue)
                                 throws InvalidAttributeValueException

  The name of the LDAP attribute representing the user's identity.

  Parameters:
    `newValue` - - new value for attribute CertificateAttribute
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "userCertificate;binary"
  A dynamic MBean attribute.
    false

### setCertificateMapping

    public void setCertificateMapping(String newValue)
                               throws InvalidAttributeValueException

  Mapping of certificate attributes to directory attributes.

  Parameters:
    `newValue` - - new value for attribute CertificateMapping
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "ou=people,ou=$subj.ou,o=$subj.o,c=$subj.c"
  A dynamic MBean attribute.
    false

### setCredential

    public void setCredential(String newValue)
                       throws InvalidAttributeValueException

  The credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  Specified by:
    `setCredential` in interface `LDAPServerMBean`
  Parameters:
    `newValue` - - new value for attribute Credential
  Throws:
    `InvalidAttributeValueException`
  See Also:
    `LDAPServerMBean.getCredential()`, `LDAPServerMBean.setCredentialEncrypted(byte[])`
  A dynamic MBean attribute.
    true

### setCredentialEncrypted

    public void setCredentialEncrypted(byte[] _bytes)

  Description copied from interface: `LDAPServerMBean`
  Sets the credential (generally a password) used to authenticate the LDAP user that is defined in the Principal attribute.

  Specified by:
    `setCredentialEncrypted` in interface `LDAPServerMBean`
  Parameters:
    `_bytes` - The new credential value as a byte array.
  See Also:
    `LDAPServerMBean.getCredentialEncrypted()`
  A dynamic MBean attribute.
    true

### setUserFilterAttributes

    public void setUserFilterAttributes(String[] newValue)
                                 throws InvalidAttributeValueException

  The name of the certificate attribute from the subject DN used to find the user in the directory.

  Parameters:
    `newValue` - - new value for attribute UserFilterAttributes
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "cn=$subj.cn"
  A dynamic MBean attribute.
    false

### setUsernameAttribute

    public void setUsernameAttribute(String newValue)
                              throws InvalidAttributeValueException

  The name of the LDAP attribute used to assert the user's identity.

  Parameters:
    `newValue` - - new value for attribute UsernameAttribute
  Throws:
    `InvalidAttributeValueException`
  Default value:
    "cn"
  A dynamic MBean attribute.
    false

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD